TOP_BUILDDIR ?= $(CURDIR)

jsurf_alggeo_DESCRIPTION = "Java based renderer for real SURFaces (ALGebraic GEOmetry dedicated tool)"

HELP2MAN = help2man

H2MFLAGS = \
	--manual="IMAGINARY.org" \
	--no-info

default:

manpages: jsurf-alggeo.1

jsurf-alggeo.1: debian/jsurf-alggeo/usr/bin/jsurf-alggeo debian/jsurf-alggeo/usr/share/java/jsurf-alggeo.jar
	JSURF_ALGGEO_JAR=$(CURDIR)/debian/jsurf-alggeo/usr/share/java/jsurf-alggeo.jar $(HELP2MAN) \
			-s 1 \
			$(H2MFLAGS) \
			-I debian/man/$(basename $@).h2m \
			-n $(if $($(subst -,_,$(basename $@))_DESCRIPTION), $($(subst -,_,$(basename $@))_DESCRIPTION), "manual page for $(basename $@)") \
			-o $@ \
		./$<
